Subject: Re: Rick Meng
From: "Jack Berndt" <[email-masked]>
To: "Jim Kirchstein" <[email-masked]>
Date: Sun, 10 Jul 2011 08:24:55 -0500

I knew Rick a little bit many years ago, enough to say hi & chat with him - small talk mostly. Bought some Derleth books from him back in the 70s (I think) when he was working out at Place of Hawks. Haven't seen him in 30-40 years. 

Per the Derleth incident & his retelling to your parents afterwards. This is pretty much how I feel about Kay nowadays - say very little to her of an intimate nature or be extremely guarded in what you discuss, as she will take that & run with it to the next person, putting her personal spin on it. That's my impression & I'm sticking to it! ;) 

Yesterday at Tripp. Had a local woman stop in just to see the puppets. Her husband is a doc & they live in the old "Keysar home" in PdS, on Water St. Aug wrote about this home in WW, p. 243. Miles Keysar home. Anyway, she went on & on about how creative these are, took two of Ken's biz cards & even promised to join up as a Family Member. Cool! Said she'd back with her daughter in the near future. Like we keep saying at Tripp, these pupps are interesting & fun for children from 5-95, HA!   

  ----- Original Message ----- 
  From: Jim Kirchstein 
  To: Jack Berndt 
  Sent: Sunday, July 10, 2011 7:50 AM
  Subject: Re: Rick Meng

  Thanks for the info....do you know Rick?

  I wrote in Journals for many years, starting when in service. They were handy in finding old info, but not very interesting to anyone else. I wrote personal stuff in German, and used German script which I learned thru USAFI when in service. Only problem, it takes me a while to read it when I do go back. The dangerous stuff is left out...I once tried to write about some incidents and when reviewing it, sounded fictional. Derleth once repeated a hairy time I went thru, to my folks, and my mother told me later that my dad turned white...so no more written to Derleth after that.

  Kay asked about the UFO parts of the "Area 51" book...I sent her:

  For many years the military dismissed any possible UFO, but after much technology employment with ships like the U2 and Oxcart, the scientists gave outer space visitors a "possibility". The Roswell saucer and passengers appears to be a Russian ploy to freak out U S people, similar to Orson Wells' War of the Worlds. The passengers on the saucer which were badly burned were possibly genetically engineered to appear of children size and strange features...probably the Nazi doctor Menniger's work...Menniger was taken to the Russian side after VE.

  From: Jack Berndt 
  Sent: Saturday, July 09, 2011 8:55 PM
  To: Jim Kirchstein 
  Subject: Re: Rick Meng

  Try this:

  Roderic M Meng
  1500 Meadowlark Ln

  Prairie Du Sac, WI 53578-1362

  643-4647

    ----- Original Message ----- 
    From: Jim Kirchstein 
    To: Jack Berndt 
    Sent: Saturday, July 09, 2011 8:19 PM
    Subject: Rick Meng

    Do you know where Rick and Mary live?  address, tele no.?